# Trait ethcore_util::standard::FromBase64 [−] [src]

    pub trait FromBase64 {
        fn from_base64(&self) -> Result<Vec<u8>, FromBase64Error>;
    }

A trait for converting from base64 encoded values.

## Required Methods

### `fn from_base64(&self) -> Result<Vec<u8>, FromBase64Error>`

Converts the value of `self`, interpreted as base64 encoded data, into an owned vector of bytes, returning the vector.

## Implementors

- `impl FromBase64 for str`
- `impl FromBase64 for [u8]`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)